import java.util.HashMap;

/**
 * Lab 8
 *
 * An enumeration containing a subset of the possible
 * superpower types that a Hero can have.
 *
 * @author Stephen
 * @version 2017-10-04
 */
public enum Superpower
{
    /**
     * The Mind Powers superpower type.
     */
    MIND,

    /**
     * The Super Strength superpower type.
     */
    STRENGTH,

    /**
     * The Super Speed superpower type.
     */
    SPEEDSTER;

    /**
     * Maps a Superpower type to the Superpower type that it is strong against.
     */
    private static final HashMap<Superpower, Superpower> STRENGTH_MAP;


    /* This is the static initializer, run when the class is first loaded. */
    static
    {
        // TODO: implement; create and initialize hashmaps
    }

    /**
     * Method that gives the superpower that this superpower is strong against.
     *
     * @return The Superpower that this type is strong against.
     */
    public Superpower effectiveAgainst()
    {
        // TODO: implement
    }

    /* (non-Javadoc)
     * @see java.lang.Enum#toString()
     */
    @Override
    public String toString()
    {
        return name().toLowerCase();
    }
}
